/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod_$type } from "./IShortPeriodLongPeriod";
import { AbsoluteVolumeOscillatorIndicatorStrategy } from "./AbsoluteVolumeOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES5/type";
var AbsoluteVolumeOscillatorIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(AbsoluteVolumeOscillatorIndicator, _super);
    function AbsoluteVolumeOscillatorIndicator() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    AbsoluteVolumeOscillatorIndicator.prototype.get_p0 = function () {
        return new AbsoluteVolumeOscillatorIndicatorStrategy();
    };
    Object.defineProperty(AbsoluteVolumeOscillatorIndicator.prototype, "p0", {
        get: function () {
            return this.get_p0();
        },
        enumerable: true,
        configurable: true
    });
    AbsoluteVolumeOscillatorIndicator.prototype.get_qd = function () {
        return AbsoluteVolumeOscillatorIndicator.$;
    };
    Object.defineProperty(AbsoluteVolumeOscillatorIndicator.prototype, "qd", {
        get: function () {
            return this.get_qd();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AbsoluteVolumeOscillatorIndicator.prototype, "shortPeriod", {
        get: function () {
            return typeGetValue(this.c(AbsoluteVolumeOscillatorIndicator.qm));
        },
        set: function (a) {
            this.h(AbsoluteVolumeOscillatorIndicator.qm, a);
        },
        enumerable: true,
        configurable: true
    });
    AbsoluteVolumeOscillatorIndicator.prototype.p8 = function () {
        return this.shortPeriod;
    };
    Object.defineProperty(AbsoluteVolumeOscillatorIndicator.prototype, "longPeriod", {
        get: function () {
            return typeGetValue(this.c(AbsoluteVolumeOscillatorIndicator.ql));
        },
        set: function (a) {
            this.h(AbsoluteVolumeOscillatorIndicator.ql, a);
        },
        enumerable: true,
        configurable: true
    });
    AbsoluteVolumeOscillatorIndicator.prototype.p5 = function () {
        return this.longPeriod;
    };
    AbsoluteVolumeOscillatorIndicator.qm = StrategyBasedIndicator.qk(10, AbsoluteVolumeOscillatorIndicator.$);
    AbsoluteVolumeOscillatorIndicator.ql = StrategyBasedIndicator.qg(30, AbsoluteVolumeOscillatorIndicator.$);
    AbsoluteVolumeOscillatorIndicator.$t = markType(AbsoluteVolumeOscillatorIndicator, 'AbsoluteVolumeOscillatorIndicator', StrategyBasedIndicator.$, [IShortPeriodLongPeriod_$type]);
    return AbsoluteVolumeOscillatorIndicator;
}(StrategyBasedIndicator));
export { AbsoluteVolumeOscillatorIndicator };
/*<BeginStatics Name="Infragistics.Controls.Charts.AbsoluteVolumeOscillatorIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.AbsoluteVolumeOscillatorIndicator" />*/
